Naar hoofdinhoud gaan

Deze browser wordt niet meer ondersteund.

Upgrade naar Microsoft Edge om te profiteren van de nieuwste functies, beveiligingsupdates en technische ondersteuning.

Microsoft Edge downloaden Meer informatie over Internet Explorer en Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Queryparameters

api-version string vereist

The API version to use for this operation.

Koptekstparameters

Foundry-Features enum vereist

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Padparameters

name string vereist

Name of the model.

version string vereist

Version of the model.

Aanvraagbody

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum vereist

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Antwoorden

The request has succeeded.

Hoofdtekst

Content-Type: application/json
blobReference BlobReference vereist

Blob reference details.

blobUri string vereist

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string vereist

ARM ID of the storage account to use.

credential SasCredential vereist

SAS Credential definition

sasUri string vereist

SAS uri

type enum vereist

Type of credential

SAS
pendingUploadId string vereist

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum vereist

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Kopteksten

x-ms-error-code string

String error code indicating what went wrong.

Hoofdtekst

Content-Type: application/json
error Azure.Core.Foundations.Error vereist

The error object.

code string vereist

One of a server-defined set of error codes.

message string vereist

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Aanvraag

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Respons

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
nl-nl
Uw privacykeuzes
  • AI-disclaimer
  • Vorige versies
  • Blog
  • Bijdragen
  • Privacy
  • Privacy van gezondheidsdata
  • Gebruiksvoorwaarden
  • Handelsmerken
  • © Microsoft 2026